YITH Donations for WooCommerce

Описание

Add to your shop the possibility for your users to make donations for a good cause or an important solidarity campaigns. Make your users in the position to fill a donation form, make a donation in your site and let them set the amount they want to donate. Now you can do that with YITH Donations for WooCommerce.
For a more detailed list of options and features of the plugin, please look at the official documentation.

Main features:

  • Give a name to each donation project
  • Associate a donation form to a single product
  • Donation widget to add to your sidebars

Скриншоты

  • Admin: general settings
  • Admin: widget settings
  • Front end: Donation form in product page

Установка

  1. Unzip the downloaded zip file.
  2. Upload the plugin folder into the wp-content/plugins/ directory of your WordPress site.
  3. Activate YITH Donations for WooCommerce from Plugins page

Часто задаваемые вопросы

Translation issue with the version 1.0.6

In order to import correctly the plugin strings in the new system, we had to change the text domain form ‘ywcds’ to ‘yith-donations-for-woocommerce’. Once the plugin will be imported in the translate.wordpress.org system, the translations of other languages will be downloaded directly from WordPress, without using any .po and .mo files. Moreover, users will be able to participate in a more direct way to plugin translations, suggesting texts in their languages in the dedicated tab on translate.wordpress.org. During this transition step, .po and .mo files will be used as always, but in order to be recognized by WordPress, they will need to have a new nomenclature, renaming them in: yith-donations-for-woocommerce-.po yith-donations-for-woocommerce-.mo. For example, if your language files were named ywcds-en_GB.po and ywcds-en_GB.mo, you will just have to rename them respectively as yith-donations-for-woocommerce-en_GB.po and yith-donations-for-woocommerce-en_GB.mo.

Is the plugin compatible with all WordPress themes?

Compatibility with all themes is impossible, because they are too many, but generally if themes are developed according to WordPress and WooCommerce guidelines, YITH plugins are compatible with them.
Yet, we can grant compatibility with themes developed by YIThemes, because they are constantly updated and tested with our plugins. Sometimes, especially when new versions are released, it might only require some time for them to be all updated, but you can be sure that they will be tested and will be working in a few days.

How can I get support if my WooCommerce plugin is not working?

If you have problems with our plugins or something is not working as it should, first follow this preliminary steps:

  • Test the plugin with a WordPress default theme, to be sure that the error is not caused by the theme you are currently using.
  • Deactivate all plugins you are using and check if the problem is still occurring.
  • Ensure that you plugin version, your theme version and your WordPress and WooCommerce version (if required) are Update and that the problem you are experiencing has not already been solved in a later plugin update.

If none of the previous listed actions helps you solve the problem, then, submit a ticket in the forum and describe your problem accurately, specify WordPress and WooCommerce versions you are using and any other information that might help us solve your problem as quickly as possible. Thanks!

Отзывы

26.08.2019
The plugin works as suggested in that it allows you to add a donation product and setup donations for checkout. The caveat is that it only works when used as a widget and not as a normal WooCommerce product. Whenever you use the assigned WooCommerce product and single page the plugin adds a duplicate donation product to cart at a cost of $0.00 so you end up with 2 donation products, one with the custom donation value and another with $0.00. https://wordpress.org/support/topic/duplicate-donation-in-cart/#post-11823159 If you're OK with only using Widgets for your donations then this plugin is fine. Anything past that you start running into issues and oddities such as mentioned above. I wish this plugin made clear that it only works properly with Widgets. The description makes it sound like Widgets are an additional feature not a requirement.
Посмотреть все 2 отзыва

Участники и разработчики

«YITH Donations for WooCommerce» — проект с открытым исходным кодом. В развитие плагина внесли свой вклад следующие участники:

Участники

«YITH Donations for WooCommerce» переведён на 4 языка. Благодарим переводчиков за их работу.

Перевести «YITH Donations for WooCommerce» на ваш язык.

Заинтересованы в разработке?

Посмотрите код, проверьте SVN репозиторий, или подпишитесь на журнал разработки по RSS.

Журнал изменений

1.1.10 — Released on 29 November 2019

  • Update: Plugin Framework

1.1.9 — Released on 09 November 2019

  • New: Plugin Panel Style
  • Update: Plugin Framework

1.1.8 — Released on 30 October 2019

  • New: Support for WooCommerce 3.8
  • New: Support for WordPress 5.3
  • Update: Plugin Framework

1.1.7 — Released on 30 July 2019

  • New: Support for WooCommerce 3.7 RC1
  • Update: Plugin Framework

1.1.6 — Released on 12 June 2019

  • New: Support for WordPress 5.2
  • Update: Plugin Framework

1.1.5 — Released on 24 April 2019

  • Update: Plugin Framework

1.1.4 — Released on 03 April 2019

  • New: Support for WooCommerce 3.6.0 RC1
  • New: Support for WordPress 5.1.1
  • Update: Plugin Framework

1.1.3 — Released on 23 January 2019

  • New: Support for WooCommerce 3.5.4
  • Update: Plugin Framework

1.1.1 — Released on 05 December 2018

  • New: Support for WooCommerce 3.5.2
  • New: Support for WordPress 5.0
  • Update: Plugin Framework
  • Update: Language file

1.0.20 — Released on 24 October 2018

  • Update: Plugin framework
  • Update: Language files

1.0.19 — Released on 22 October 2018

  • New: Support for WooCommerce 3.5.0 RC2
  • Update: Plugin Framework

1.0.18 — Released on 02 October 2018

  • New: Support for WooCommerce 3.5.0 RC1
  • New: Support for WordPress 4.9.8
  • Update: Plugin framework

1.0.17 — Released on 02 February 2018

  • New: Support for WooCommerce 3.3.1 RC1
  • New: Support for WordPress 4.9.2
  • Update: Plugin Framework 3.0.12

1.0.16 — Released on 28 December 2017

  • New: Support for WooCommerce 3.2.6
  • New: Support for WordPress 4.9.1
  • Update: Plugin Framework 3.0.4

1.0.11 — Released on 17 March 2017

  • New: Support for WooCommerce 3.0.0-RC1
  • Update: Plugin Framework

1.0.10 — Released on 28 December 2016

  • New: Support for WordPress 4.7
  • New: Support for WooCommerce 2.6.11
  • Update: Plugin Framework
  • Update: Premium Tab info

1.0.9 — Released on 29 April 2016

  • Update: Plugin Framework

1.0.8 — Released on February 09,2016

  • Fix: Invalid price when the Decimal Separator is a comma
  • Update: Plugin Framework

1.0.6 — Released on 13 January 2016

  • Update: Plugin core framework
  • Update: Language File
  • Changed: Text Domain

1.0.5 — Released on 14 December 2015

  • Update: Plugin core framework

1.0.3 — Released on 30 October 2015

  • Update: Plugin core framework 2.0

1.0.2 — Released 25 September 2015

  • New: Support for WooCommerce 2.4
  • New: Italian language file
  • Update: Plugin core framework

1.0.1 — Released on 06 August 2015

  • Tweak: improvement of donation management

1.0.0 — Released 16 July 2015

  • Первый релиз